compare(1)

COMPARE

NAME
compare - compare an image to a reconstructed image.

SYNOPSIS
compare file [ file ... ]

DESCRIPTION
Compare - compare an image to a reconstructed image.

OPTIONS

COMPARE OPTIONS
For a more detailed description of each option, see Options, above. ImageMagick(1).

-authenticate <string>
    decrypt image with this password

-channel <type>
    the type of channel

-colorspace <value>
    the type of colorspace

-compress <type>
    the type of image compression

-debug <events>
    enable debug printout

-define <key>{=<value>},...
    add coder/decoder specific options

-density <width>x<height>
    horizontal and vertical resolution in pixels of the image

-interlace <type>
    the type of interlacing scheme

-limit <type> <value>
    Area, Disk, File, Map, or Memory resource limit

-log <string>
    Specify format for debug log

-metric type
    Choose from MAE, MSE, PSE, PSNR, or RMSE

-profile <filename>
    add ICM, IPTC, or generic profile to image

-quality <value>
    JPEG/MIFF/PNG compression level

-sample <geometry>
    scale image using pixel sampling

-size <width>x<height>{+offset}
    width and height of the image

-version
    print ImageMagick version string

-virtual-pixel <method>
    specify contents of "virtual pixels" For a more detailed description of each option, see Options, above. ImageMagick(1).

SEE ALSO
display(1), animate(1), montage(1), mogrify(1), convert(1), ImageMagick(1), composite(1)